Bug 51951 - index entries as "-999"; unresolved references not reported
index entries as "-999"; unresolved references not reported
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: jadetex (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-17 09:39 EDT by rudi
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 10:08:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rudi 2001-08-17 09:39:59 EDT
Description of Problem:
I am experiencing several problems with index entries. In particular, some
as described in this message:

http://sources.redhat.com/ml/docbook-tools-discuss/2000/msg00262.html

The most annoying part is that, as the message above says, running
jadetex/pdfjadetex an even number of times still makes lots of entries be
printed as "-999", but TeX does NOT report any unresolved references.
That's IMHO unacceptable, as it gives a false sense of "safety": the
problem is still there (just check the PDF output), but you're not told
about it. Consequences should also be obvious in an automated
environment.

Unfortunately I can't provide a testcase, as my problems are occurring
with a very large document, which I can't redistribute anyway. I have
noticed, though, that version 3.11 solves some of the problems and, more
importantly, never omits to mention that there are unresolved references.
This might be of enough help to others.

I am taking a closer look at the tens of unresolved references still left
and they all seem to be variants of two or three basic problems (e.g.
<indexterm>s in <entry>s); those, which are not solved in 3.11 yet,
will be filed in a separate report (with simple testcases).

Version-Release number of selected component (if applicable):
jadetex-3.6-4

Additional Information:
Newer releases of JadeTeX are hosted by SourceForge. You can
check e.g. the ChangeLog here:

http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/jadetex/jadetex/ChangeLog

The layout of the distribution archive has changed a bit; I have a SRPM
which I'll happily email, upload or attach if you are interested.
Comment 1 Tim Waugh 2001-09-18 11:08:59 EDT
Fixed in jadetex-3.11-1.

Note You need to log in before you can comment on or make changes to this bug.